The device on which you install Horizon Client, and the peripherals it uses, must meet certain system requirements.

Operating systems

  • Windows 10 Current Branch (CB) version 1703 (Creators Update)

  • Windows 10 Current Branch (CB) version 1607 (Anniversary Update)

  • Windows 10 Current Branch for Business (CBB) version 1607 (Anniversary Update)

  • Windows 10 Long-Term Servicing Branch (LTSB) version 1607 (Anniversary Update)

Windows Hello authentication

See Windows Hello Authentication Requirements.

Connection Server, security server, and View Agent or Horizon Agent

Latest maintenance release of Horizon 6 version 6.x and later releases.

VMware recommends that you use a security server or Unified Access Gateway appliance so that client devices do not require a VPN connection.

Display protocol for remote desktops and applications

  • VMware Blast (requires Horizon Agent 7.0 or later)

  • PCoIP